
Automated Build Generator - Tasks #2175
Make build-flow generation conditional on a variable
02/10/2015 08:28 PM - J. Wienke

Status: Resolved Start date: 02/10/2015
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: User Interface Estimated time: 0.00 hour
Target version: 0.4
Description

So that we can disable build flow for modes other than toolkit.

Associated revisions
Revision 5b843dde - 02/18/2015 01:38 AM - J. Moringen

Removed variant and distribution handling in src/**/*.lisp

fixes #2175
fixes #1915

    -  New variable :disable-ochestration-jobs controls whether orchestration
  jobs are generated.

    -  Removed all :variant and :distribution[s] variable access. These are
  no longer necessary.

    -  src/project/classes-spec.lisp (project-spec): added superclass
  `parented-mixin'
  (instantiate version-spec): removed variant stuff

    -  src/commandline-interface/main.lisp (locate-projects): record the
  distribution which requested a project version
  (load-projects/versioned): install responsible distribution as parent
  of project
  (tag-project-versions): removed; no longer needed
  (configure-buildflow-job): only trigger prepare/finish jobs when they
  exist
  (configure-jobs): allow configuring names of orchestration jobs; only
  generate orchestration jobs when there names are defined
  (configure-distribution): only generate orchestration jobs if
  :disable-ochestration-jobs is not defined
  (main): do not call `tag-project-versions'

History
#1 - 02/18/2015 03:01 AM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5b843dde3bcc8745210e4049f017f73ee094410d.
#2 - 03/26/2015 04:59 PM - J. Moringen
- Category set to User Interface
